<template>
    <header class="flex items-center justify-between pb-1 border-b border-black md:pb-2">
        <h1>Meet our friends</h1>
        <img src="../assets/img/Small-G.svg" alt="Big-G logo" class="h-10">
    </header>

    <div v-if="!data.people" class="my-24">
        <Spinner class="w-40 h-40" />
    </div>

    <div v-else class="grid grid-cols-1 py-16 gap-x-6 gap-y-12 md:grid-cols-2 xl:grid-cols-3">
        <div v-for="person, index in data.people">
            <Card :person="person"/>
            <div v-if="cardBottomBorderEnabled(index)" class="border-b-[0.5px] border-black/50" />
        </div>
    </div>

</template>

<script setup>
import { reactive, onMounted } from 'vue';
import Card from '../components/Card.vue';
import Spinner from '../components/Spinner.vue';
import axios from 'axios';

//imposto il titolo della pagina
document.title = 'BitBoss Frontend Test';

const data = reactive({
    people: null
});

onMounted(()=>{
    getPeople();
});


//carico i dati delle persone
const getPeople = async ()=>{
    await axios.get('https://api.airtable.com/v0/app7cLoZ4xMOrQvKR/People', {
        headers: {
            Authorization: 'Bearer ' + import.meta.env.VITE_API_TOKEN
        }
    })
    .then((res)=>{
        data.people = res.data.records;
    });
}


//calcolo le condizioni per mostrare il bordo sotto le card
const cardBottomBorderEnabled = (index)=>{
    if(
        data.people.length > 3 &&
        (data.people.length % 3 === 0 ? index < data.people.length -3 : (data.people.length -2) % 3 === 0 ? index < data.people.length -2 : index < data.people.length -1)
    ){
        return true;
    }
}

</script>
